Skip to main content
GET
/
api
/
v3
/
store
/
markets
/
resolve
Spree SDK
import { createSpreeClient } from '@spree/sdk'

const client = createSpreeClient({
  baseUrl: 'https://your-store.com',
  publishableKey: '<api-key>',
})

const market = await client.store.markets.resolve('DE')
{
  "id": "mkt_gbHJdmfrXB",
  "name": "Europe",
  "currency": "EUR",
  "default_locale": "de",
  "tax_inclusive": true,
  "default": false,
  "supported_locales": [
    "de",
    "en",
    "fr"
  ],
  "countries": [
    {
      "iso": "DE",
      "iso3": "IS48",
      "name": "Germany",
      "states_required": false,
      "zipcode_required": true
    },
    {
      "iso": "FR",
      "iso3": "IS49",
      "name": "France",
      "states_required": false,
      "zipcode_required": true
    }
  ]
}

Authorizations

x-spree-api-key
string
header
required

Publishable API key for store access

Headers

x-spree-api-key
string
required

Query Parameters

country
string
required

Country ISO 3166-1 alpha-2 code (e.g., "DE", "US")

fields
string

Comma-separated list of fields to include (e.g., name,slug,price). id is always included.

Response

market resolved

The response is of type object.